explain_tmpfile_or_die(3)

NAME
explain_tmpfile_or_die - create a temporary file and report errors

SYNOPSIS
#include <libexplain/tmpfile.h>

FILE *explain_tmpfile_or_die(void);
FILE *explain_tmpfile_on_error(void);

DESCRIPTION
The explain_tmpfile_or_die function is used to call the tmpfile(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tmpfile(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tmpfile_on_error function is used to call the tmpfile(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tmpfile(3) function, but still returns to the caller.

RETURN VALUE
The explain_tmpfile_or_die function only returns on success, see tmpfile(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tmpfile_on_error function always returns the value return by the wrapped tmpfile(3) system call.

EXAMPLE
The explain_tmpfile_or_die function is intended to be used in a fashion similar to the following example:
    FILE *result = explain_tmpfile_or_die();

SEE ALSO

tmpfile(3)
    create a temporary file

explain_tmpfile(3)
    explain tmpfile(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2009 Peter Miller